> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Topic

> Create a new topic within a project



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json post /topics
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /topics:
    post:
      tags:
        - Project
      summary: Create Topic
      description: Create a new topic within a project
      operationId: postTopics
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 64
                country_code:
                  type: string
                  enum:
                    - AE
                    - AL
                    - AM
                    - AR
                    - AT
                    - AU
                    - BA
                    - BE
                    - BG
                    - BH
                    - BO
                    - BR
                    - BS
                    - BY
                    - CA
                    - CH
                    - CL
                    - CN
                    - CO
                    - CR
                    - CY
                    - CZ
                    - DE
                    - DK
                    - DO
                    - EC
                    - EE
                    - EG
                    - ES
                    - FI
                    - FR
                    - GB
                    - GE
                    - GH
                    - GR
                    - GT
                    - HK
                    - HN
                    - HR
                    - HU
                    - ID
                    - IE
                    - IL
                    - IN
                    - IQ
                    - IS
                    - IT
                    - JO
                    - JP
                    - KR
                    - KW
                    - LB
                    - LI
                    - LT
                    - LU
                    - LV
                    - MA
                    - MD
                    - ME
                    - MK
                    - MT
                    - MX
                    - MY
                    - NG
                    - NI
                    - NL
                    - 'NO'
                    - NZ
                    - OM
                    - PK
                    - PA
                    - PE
                    - PH
                    - PL
                    - PT
                    - PY
                    - PS
                    - QA
                    - RO
                    - RS
                    - SA
                    - SE
                    - SG
                    - SI
                    - SK
                    - SV
                    - TH
                    - TN
                    - TR
                    - TW
                    - UA
                    - US
                    - UY
                    - VE
                    - VN
                    - ZA
                    - AD
                    - AF
                    - AS
                    - AZ
                    - BB
                    - BQ
                    - CG
                    - CI
                    - CM
                    - CW
                    - DM
                    - DZ
                    - FO
                    - GF
                    - GP
                    - JM
                    - KG
                    - KH
                    - KI
                    - KZ
                    - LK
                    - LR
                    - LS
                    - MW
                    - NC
                    - PG
                    - TD
                    - TF
                    - UG
                    - VU
                    - ZW
              required:
                - name
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 64
                country_code:
                  type: string
                  enum:
                    - AE
                    - AL
                    - AM
                    - AR
                    - AT
                    - AU
                    - BA
                    - BE
                    - BG
                    - BH
                    - BO
                    - BR
                    - BS
                    - BY
                    - CA
                    - CH
                    - CL
                    - CN
                    - CO
                    - CR
                    - CY
                    - CZ
                    - DE
                    - DK
                    - DO
                    - EC
                    - EE
                    - EG
                    - ES
                    - FI
                    - FR
                    - GB
                    - GE
                    - GH
                    - GR
                    - GT
                    - HK
                    - HN
                    - HR
                    - HU
                    - ID
                    - IE
                    - IL
                    - IN
                    - IQ
                    - IS
                    - IT
                    - JO
                    - JP
                    - KR
                    - KW
                    - LB
                    - LI
                    - LT
                    - LU
                    - LV
                    - MA
                    - MD
                    - ME
                    - MK
                    - MT
                    - MX
                    - MY
                    - NG
                    - NI
                    - NL
                    - 'NO'
                    - NZ
                    - OM
                    - PK
                    - PA
                    - PE
                    - PH
                    - PL
                    - PT
                    - PY
                    - PS
                    - QA
                    - RO
                    - RS
                    - SA
                    - SE
                    - SG
                    - SI
                    - SK
                    - SV
                    - TH
                    - TN
                    - TR
                    - TW
                    - UA
                    - US
                    - UY
                    - VE
                    - VN
                    - ZA
                    - AD
                    - AF
                    - AS
                    - AZ
                    - BB
                    - BQ
                    - CG
                    - CI
                    - CM
                    - CW
                    - DM
                    - DZ
                    - FO
                    - GF
                    - GP
                    - JM
                    - KG
                    - KH
                    - KI
                    - KZ
                    - LK
                    - LR
                    - LS
                    - MW
                    - NC
                    - PG
                    - TD
                    - TF
                    - UG
                    - VU
                    - ZW
              required:
                - name
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 64
                country_code:
                  type: string
                  enum:
                    - AE
                    - AL
                    - AM
                    - AR
                    - AT
                    - AU
                    - BA
                    - BE
                    - BG
                    - BH
                    - BO
                    - BR
                    - BS
                    - BY
                    - CA
                    - CH
                    - CL
                    - CN
                    - CO
                    - CR
                    - CY
                    - CZ
                    - DE
                    - DK
                    - DO
                    - EC
                    - EE
                    - EG
                    - ES
                    - FI
                    - FR
                    - GB
                    - GE
                    - GH
                    - GR
                    - GT
                    - HK
                    - HN
                    - HR
                    - HU
                    - ID
                    - IE
                    - IL
                    - IN
                    - IQ
                    - IS
                    - IT
                    - JO
                    - JP
                    - KR
                    - KW
                    - LB
                    - LI
                    - LT
                    - LU
                    - LV
                    - MA
                    - MD
                    - ME
                    - MK
                    - MT
                    - MX
                    - MY
                    - NG
                    - NI
                    - NL
                    - 'NO'
                    - NZ
                    - OM
                    - PK
                    - PA
                    - PE
                    - PH
                    - PL
                    - PT
                    - PY
                    - PS
                    - QA
                    - RO
                    - RS
                    - SA
                    - SE
                    - SG
                    - SI
                    - SK
                    - SV
                    - TH
                    - TN
                    - TR
                    - TW
                    - UA
                    - US
                    - UY
                    - VE
                    - VN
                    - ZA
                    - AD
                    - AF
                    - AS
                    - AZ
                    - BB
                    - BQ
                    - CG
                    - CI
                    - CM
                    - CW
                    - DM
                    - DZ
                    - FO
                    - GF
                    - GP
                    - JM
                    - KG
                    - KH
                    - KI
                    - KZ
                    - LK
                    - LR
                    - LS
                    - MW
                    - NC
                    - PG
                    - TD
                    - TF
                    - UG
                    - VU
                    - ZW
              required:
                - name
      responses:
        '201':
          description: Topic created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: to_5524d66a-df1e-47e4-9dbc-802af39235ad
                required:
                  - id
                description: Topic created successfully
        '409':
          description: Response for status 409
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````